Qt 5.8 | Qt Sensors | C++ Classes | QAmbientTemperatureReading

Qt 5.8.0 Reference Documentation

# QAmbientTemperatureReading Class

The QAmbientTemperatureReading class holds readings of the ambient temperature. More...

Header: | #include <QAmbientTemperatureReading>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- temperature : const qreal

- 1 property inherited from QSensorReading

## Public Functions

void | setTemperature(qreal temperature)
qreal | temperature() const

- 4 public functions inherited from QSensorReading

## Detailed Description

The QAmbientTemperatureReading class holds readings of the ambient temperature.

The ambient (room) temperature is the temperature in degree Celsius.

## Property Documentation

### temperature : const qreal

This property holds the ambient temperature.

Measured in degree Celsius.

Access functions:

qreal | temperature() const

## Member Function Documentation

### void QAmbientTemperatureReading::setTemperature(qreal temperature)

Sets ambient temperature to temperature.

See also temperature().